Subject: Re: [PATCH 1/4] arm64: Enable TIMER_IMX_SYS_CTR for ARCH_MXC platforms

From: Shawn Guo <[email-masked]>
Date: Mon, 22 Jul 2019 11:19:16 +0800

On Mon, Jul 22, 2019 at 02:15:10AM +0000, Anson Huang wrote:
> Hi, Shawn
> 
> > On Mon, Jun 24, 2019 at 02:35:10AM +0000, Anson Huang wrote:
> > > Hi, Shawn
> > >
> > > > -----Original Message-----
> > > > From: Shawn Guo <[email-masked]>
> > > > Sent: Monday, June 24, 2019 10:27 AM
> > > > To: Anson Huang <[email-masked]>
> > > > Cc: [email-masked]; Aisheng Dong <[email-masked]>;
> > Peng
> > > > Fan <[email-masked]>; [email-masked]; Jacky Bai
> > > > <[email-masked]>; [email-masked]; [email-masked];
> > > > [email-masked]; [email-masked]; linux-
> > > > [email-masked]; Daniel Baluta <[email-masked]>;
> > > > linux- [email-masked]; [email-masked]; dl-linux-imx <linux-
> > > > [email-masked]>; [email-masked]; Leonard Crestez
> > > > <[email-masked]>; [email-masked]; [email-masked];
> > > > [email-masked]; Abel Vesa <[email-masked]>
> > > > Subject: Re: [PATCH 1/4] arm64: Enable TIMER_IMX_SYS_CTR for
> > > > ARCH_MXC platforms
> > > >
> > > > On Mon, Jun 24, 2019 at 10:22:01AM +0800, Shawn Guo wrote:
> > > > > On Fri, Jun 21, 2019 at 03:07:17PM +0800, [email-masked]
> > wrote:
> > > > > > From: Anson Huang <[email-masked]>
> > > > > >
> > > > > > ARCH_MXC platforms needs system counter as broadcast timer to
> > > > > > support cpuidle, enable it by default.
> > > > > >
> > > > > > Signed-off-by: Anson Huang <[email-masked]>
> > > > > > ---
> > > > > >  arch/arm64/Kconfig.platforms | 1 +
> > > > > >  1 file changed, 1 insertion(+)
> > > > > >
> > > > > > diff --git a/arch/arm64/Kconfig.platforms
> > > > > > b/arch/arm64/Kconfig.platforms index 4778c77..f5e623f 100644
> > > > > > --- a/arch/arm64/Kconfig.platforms
> > > > > > +++ b/arch/arm64/Kconfig.platforms
> > > > > > @@ -173,6 +173,7 @@ config ARCH_MXC
> > > > > >  	select PM
> > > > > >  	select PM_GENERIC_DOMAINS
> > > > > >  	select SOC_BUS
> > > > > > +	select TIMER_IMX_SYS_CTR
> > > > >
> > > > > Where is that driver?
> > > >
> > > > Okay, just found it in the mailbox.  They seem to be sent in the wrong
> > order.
> > > > Really, you should send this series only after the driver lands on mainline.
> > >
> > > OK, just noticed that mainline does NOT have it, since I did it based on next
> > tree.
> > > I will resend the patch series after the system counter driver landing on
> > mainline.
> > 
> > I just picked the series up, so no need to resend.
> 
> Something changed for this series, the system counter clock related implementation
> are changed after some comments from maintainer, so I think you should picked up
> below patch series instead, and drop this series,
> 
> https://patchwork.kernel.org/patch/11037953/

Okay, dropped clk and dts patches.  arch/arm64/Kconfig.platforms one is kept.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel